### Method

# Foundry OperationManager begin

#### Declaration [src]

    FoundryOperation*
    foundry_operation_manager_begin (
      FoundryOperationManager* self,
      const char* title
    )

#### Description [src]

Creates a new operation.

#### Parameters

`title`

  Type: `const char*`

  A title for the operation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryOperation`

A new `FoundryOperation`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.